package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预警对象 FmsWarn
 * 
 * @author 杨晓辉
 * @date 2023-05-29
 */
public class FmsWarn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预警标识 */
    private String warnId;

    /** 作物周期标识 */
    @Excel(name = "作物周期标识")
    private String periodId;

    /** 农事任务标识 */
    @Excel(name = "农事任务标识")
    private String taskId;

    /** 预警标题 */
    @Excel(name = "预警标题")
    private String warnTitle;

    /** 预警内容 */
    @Excel(name = "预警内容")
    private String warnContent;

    /** 预警创建时间 */
    @Excel(name = "预警创建时间")
    private String warnCreatedate;

    /** 预警处理人 */
    @Excel(name = "预警处理人")
    private String warnHandler;

    /** 预警处理时间 */
    @Excel(name = "预警处理时间")
    private String warnHandletime;

    /** 预警处理状态 */
    @Excel(name = "预警处理状态")
    private String warnHandlestatus;

    /** 种植计划ID */
    @Excel(name = "种植计划ID")
    private String planId;

    public void setWarnId(String warnId)
    {
        this.warnId = warnId;
    }

    public String getWarnId()
    {
        return warnId;
    }
    public void setPeriodId(String periodId)
    {
        this.periodId = periodId;
    }

    public String getPeriodId()
    {
        return periodId;
    }
    public void setTaskId(String taskId)
    {
        this.taskId = taskId;
    }

    public String getTaskId()
    {
        return taskId;
    }
    public void setWarnTitle(String warnTitle)
    {
        this.warnTitle = warnTitle;
    }

    public String getWarnTitle()
    {
        return warnTitle;
    }
    public void setWarnContent(String warnContent)
    {
        this.warnContent = warnContent;
    }

    public String getWarnContent()
    {
        return warnContent;
    }
    public void setWarnCreatedate(String warnCreatedate)
    {
        this.warnCreatedate = warnCreatedate;
    }

    public String getWarnCreatedate()
    {
        return warnCreatedate;
    }
    public void setWarnHandler(String warnHandler)
    {
        this.warnHandler = warnHandler;
    }

    public String getWarnHandler()
    {
        return warnHandler;
    }
    public void setWarnHandletime(String warnHandletime)
    {
        this.warnHandletime = warnHandletime;
    }

    public String getWarnHandletime()
    {
        return warnHandletime;
    }
    public void setWarnHandlestatus(String warnHandlestatus)
    {
        this.warnHandlestatus = warnHandlestatus;
    }

    public String getWarnHandlestatus()
    {
        return warnHandlestatus;
    }
    public void setPlanId(String planId)
    {
        this.planId = planId;
    }

    public String getPlanId()
    {
        return planId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("warnId", getWarnId())
            .append("periodId", getPeriodId())
            .append("taskId", getTaskId())
            .append("warnTitle", getWarnTitle())
            .append("warnContent", getWarnContent())
            .append("warnCreatedate", getWarnCreatedate())
            .append("warnHandler", getWarnHandler())
            .append("warnHandletime", getWarnHandletime())
            .append("warnHandlestatus", getWarnHandlestatus())
            .append("planId", getPlanId())
            .toString();
    }
}
